Browse Source

ap/flatpak: Add libseccomp dependency.

slackware-14.2
Damien Goutte-Gattat 4 years ago
parent
commit
7b05688de1
  1. 7
      ap/flatpak/flatpak.SlackBuild

7
ap/flatpak/flatpak.SlackBuild

@ -24,7 +24,7 @@
#
# Latest flatpak sourcecode is available at: <http://flatpak.org/>.
#
# Depends: l/libostree, l/appstream-glib
# Depends: l/libostree, l/appstream-glib, l/libseccomp
# Source package infos
NAMESRC=${NAMESRC:-flatpak}
@ -91,11 +91,9 @@ CXXFLAGS=$CPUOPT \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/$NAME \
--disable-dependency-tracking \
--disable-seccomp \
--build=$ARCH-slackware-linux
make -j $JOBS
make install-strip DESTDIR=$PKG
@ -114,6 +112,7 @@ install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
cat <<EOF > $PKG/install/slack-required
libostree
appstream-glib
libseccomp
EOF
# Package the tree

Loading…
Cancel
Save